Gecode::SharedArray< T >::SAO Class Reference

Implementation of object for shared arrays. More...

`#include <shared-array.hpp>`

## Public Member Functions

| SAO (int n)
| Allocate for n elements.
virtual | ~SAO (void)
| Delete object.
T & | operator[] (int i)
| Access element at position i.
const T & | operator[] (int i) const
| Access element at position i.
int | size (void) const
| Return number of elements.
T * | begin (void)
| Return beginning of array (for iterators).
const T * | begin (void) const
| Return beginning of array (for iterators).
T * | end (void)
| Return end of array (for iterators).
const T * | end (void) const
| Return end of array (for iterators).
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

template<class T>
class Gecode::SharedArray< T >::SAO

Implementation of object for shared arrays.

Definition at line 56 of file shared-array.hpp.

## Constructor & Destructor Documentation

## SAO()

template<class T>

Gecode::SharedArray< T >::SAO::SAO | ( | int | n | ) |

inline

Allocate for n elements.

Definition at line 184 of file shared-array.hpp.

## ~SAO()

template<class T>

Gecode::SharedArray< T >::SAO::~SAO | ( | void |  | ) |

virtual

Delete object.

Definition at line 189 of file shared-array.hpp.

## Member Function Documentation

## operator[]() [1/2]

template<class T>

T & Gecode::SharedArray< T >::SAO::operator[] | ( | int | i | ) |

inline

Access element at position i.

Definition at line 197 of file shared-array.hpp.

## operator[]() [2/2]

template<class T>

const T & Gecode::SharedArray< T >::SAO::operator[] | ( | int | i | ) | const

inline

Access element at position i.

Definition at line 204 of file shared-array.hpp.

## size()

template<class T>

int Gecode::SharedArray< T >::SAO::size | ( | void |  | ) | const

inline

Return number of elements.

Definition at line 211 of file shared-array.hpp.

## begin() [1/2]

template<class T>

T * Gecode::SharedArray< T >::SAO::begin | ( | void |  | ) |

inline

Return beginning of array (for iterators).

Definition at line 217 of file shared-array.hpp.

## begin() [2/2]

template<class T>

const T * Gecode::SharedArray< T >::SAO::begin | ( | void |  | ) | const

inline

Return beginning of array (for iterators).

Definition at line 223 of file shared-array.hpp.

## end() [1/2]

template<class T>

T * Gecode::SharedArray< T >::SAO::end | ( | void |  | ) |

inline

Return end of array (for iterators).

Definition at line 229 of file shared-array.hpp.

## end() [2/2]

template<class T>

const T * Gecode::SharedArray< T >::SAO::end | ( | void |  | ) | const

inline

Return end of array (for iterators).

Definition at line 235 of file shared-array.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/data/shared-array.hpp